Producer Video Download API Integration Guide

Producer allows us to download videos related to songs. This document explains how to integrate with the relevant API.

This API has only one input parameter, audio_id, which is the unique ID of the song.

Here, the audio_id we enter is a54609c6-13e2-4176-be0f-4d7eebc68e1f, which is a song ID generated by Producer.

curl -X POST 'https://api.qiyaov.com/producer/videos' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'

The result is as follows:

{
  "success": true,
  "task_id": "1237fc8f-ed3f-41fd-a889-a737fd7777da",
  "trace_id": "19db6190-d9ef-4a4f-a102-9f51b611c8b5",
  "data": {
    "video_url": "https://cdn.acedata.cloud/assets/examples/gemini/04a043bd-6b23-4b4e-945c-ce48158c3eee-3a89912507c7.mp4"
  }
}

As you can see, the video_url field in data is the video download link.